aboutsummaryrefslogtreecommitdiff
path: root/audio
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2024-10-04 04:31:29 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-10-05 08:36:10 +0700
commit2da63577d961978af01800e81c89b7f524e4cb85 (patch)
tree5d61f816a064dc192b8d73f660859c58790a32df /audio
parent9289d301fce0e2764a044eaf1bb884ef1b728447 (diff)
audio/alsa-tools: Updated for version 1.2.11.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/alsa-tools/README4
-rw-r--r--audio/alsa-tools/alsa-tools.SlackBuild43
-rw-r--r--audio/alsa-tools/alsa-tools.info6
3 files changed, 39 insertions, 14 deletions
diff --git a/audio/alsa-tools/README b/audio/alsa-tools/README
index f6c2e8976f762..cfb2b44d87239 100644
--- a/audio/alsa-tools/README
+++ b/audio/alsa-tools/README
@@ -1,10 +1,12 @@
+alsa-tools (tools and firmware for various soundcards)
+
alsa-tools includes card-specific tools for various soundcards,
including firmware loaders for pcmcia and USB devices.
This package includes the firmware as well as the loaders (so there's
no need for a separate alsa-firmware package like Debian has).
-This build includes udev rules for the Tascam US-122, US-224,
+This package includes udev rules for the Tascam US-122, US-224,
and US-428 USB audio interfaces (which replace the old hotplug
scripts shipped with the alsa-tools source). Also included
is the SlackBuild author's "tascam-us122-HOWTO" document (see
diff --git a/audio/alsa-tools/alsa-tools.SlackBuild b/audio/alsa-tools/alsa-tools.SlackBuild
index 8cf85cecd2898..9ef2c24841e00 100644
--- a/audio/alsa-tools/alsa-tools.SlackBuild
+++ b/audio/alsa-tools/alsa-tools.SlackBuild
@@ -13,6 +13,14 @@
# the firmware is being included in the package as well.
# *** I agree. --rworkman :-)
+# Note to self: there are lots of duplicate files in both lib/firmware
+# and usr/share/alsa/firmware (though, not all of them are dups). Find
+# out whether it's OK for the usr/share ones to be symlinks to the
+# lib/firmware ones. Looked at Arch's alsa-firmware package, it's
+# the same way: dup files, not symlinks. For now, leave it alone;
+# it works.
+
+# 20241004 bkw: update for 1.2.11 (firmware still 1.2.4)
# 20230706 bkw: fix build (heisenbug)
# 20220402 bkw: BUILD=2, remove broken symlinks, empty /etc dir
# 20210804 bkw: update for 1.2.5 (firmware 1.2.4)
@@ -39,8 +47,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=alsa-tools
-VERSION=${VERSION:-1.2.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.2.11}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -91,16 +99,31 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
- \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
# allow disabling all the GUI apps
if [ "${GUI:-yes}" != "yes" ]; then
QT3=no
FLTK=no
rm -rf echomixer envy24control hdajackretask rmedigicontrol
+else
+ # 20241004 bkw: hdajackretask uses a couple of constants that
+ # aren't present in Slack 15's glib2-2.70.
+ # In -current's glib2, they are enum members that are both equal to 0.
+ # How many ways do you need to say "zero" in the C language?
+ # In case someone's running -current, only fix this if it's needed.
+ if ! pkg-config glib-2.0 --atleast-version=2.74; then
+ echo "===> glib2 version < 2.74, hdajackretask needs fix, applying"
+ sed -i -e '1i#define G_REGEX_DEFAULT 0' \
+ -e '1i#define G_REGEX_MATCH_DEFAULT 0' \
+ hdajackretask/apply-changes.c
+ else
+ echo "===> glib2 version >= 2.74, hdajackretask does not need fix"
+ fi
fi
# qlo10k1 depends on Qt3, which no longer ships with Slackware.
@@ -161,7 +184,7 @@ for subdir in $( find . -name configure | sed -e 's,^\./,,' -e 's,/configure,,'
make install-strip DESTDIR=$PKG
for doc in README AUTHORS COPYING ChangeLog NEWS TODO COPYING.LIB; do
- [ -s "$doc" ] && cat "$doc" > $PKG/usr/doc/$PRGNAM-$VERSION/$doc.$( basename $subdir ).txt
+ [ -s "$doc" ] && cat "$doc" > $PKGDOC/$doc.$( basename $subdir ).txt
done
cd -
done
@@ -214,14 +237,14 @@ rm -rf $PKG/etc/hotplug
mkdir -p $PKG/lib/udev/rules.d
cat $CWD/99-tascam.rules > $PKG/lib/udev/rules.d/99-tascam.rules
-cat COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.firmware.txt
-cat README > $PKG/usr/doc/$PRGNAM-$VERSION/README.firmware.txt
+cat COPYING > $PKGDOC/COPYING.firmware.txt
+cat README > $PKGDOC/README.firmware.txt
# I wrote this doc when I got my US-122, might as well include it in
# case it helps anyone.
-cat $CWD/tascam-us122-HOWTO > $PKG/usr/doc/$PRGNAM-$VERSION/tascam-us122-HOWTO
+cat $CWD/tascam-us122-HOWTO > $PKGDOC/tascam-us122-HOWTO
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/audio/alsa-tools/alsa-tools.info b/audio/alsa-tools/alsa-tools.info
index 7b0ef29fdea3f..4960a66959848 100644
--- a/audio/alsa-tools/alsa-tools.info
+++ b/audio/alsa-tools/alsa-tools.info
@@ -1,9 +1,9 @@
PRGNAM="alsa-tools"
-VERSION="1.2.5"
+VERSION="1.2.11"
HOMEPAGE="http://www.alsa-project.org/"
-DOWNLOAD="http://www.alsa-project.org/files/pub/tools/alsa-tools-1.2.5.tar.bz2 \
+DOWNLOAD="http://www.alsa-project.org/files/pub/tools/alsa-tools-1.2.11.tar.bz2 \
http://www.alsa-project.org/files/pub/firmware/alsa-firmware-1.2.4.tar.bz2"
-MD5SUM="ce632a6c89ed47ee74ba415276a6a3cc \
+MD5SUM="bc5f5e5689f46a9d4a0b85dc6661732c \
ee6c1d24a1a4ac1d86992b408ed710a2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""